Subject: Re: bug#16884: 24.3.50; desktop-read should not die on non-existing directories

From: Sam Steingold <[email-masked]>
Date: Wed, 26 Feb 2014 13:15:22 -0500

I set debug-on-error to t in .emacs, this might be causing the problem.
however, I think this kind of error reporting should be controlled by
--debug-init and not debug-on-error

On Wed, Feb 26, 2014 at 12:47 PM, Juanma Barranquero <[email-masked]> wrote:
> On Wed, Feb 26, 2014 at 6:35 PM, Glenn Morris <[email-masked]> wrote:
>
>> PS maybe just stick a with-demoted-errors in dired-restore-desktop-buffer.
>
> I don't think it is in fact related to desktop. If I call
>
>   (dired-restore-desktop-buffer nil "*" '("C:/Windows/temp/foo/*"))
>
> it doesn't fail. The problem seems to be that (dired
> "/some/path/with/empty/dir/*") is failing for you (y'all, I mean ;-),
> while it works on Windows. Can you try this without desktop.el?

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net/>